Chris Williams > Acme-Working-Out-Dependencies-From-META-files-Will-Be-Wrong-At-Some-Point-Like-This-Module-For-Instance > Acme::Working::Out::Dependencies::From::META::files::Will::Be::Wrong::At::Some::Point::Like::This::Module::For::Instance

Download:
Acme-Working-Out-Dependencies-From-META-files-Will-Be-Wrong-At-Some-Point-Like-This-Module-For-Instance-9.99.tar.gz

Dependencies

Annotate this POD

View/Report Bugs
Module Version: 9.99   Source  

NAME ^

Acme::Working::Out::Dependencies::From::META::files::Will::Be::Wrong::At::Some::Point::Like::This::Module::For::Instance - Because there is nothing like being right

VERSION ^

version 9.99

DESCRIPTION ^

Using the META.yml or META.json to work out the prereqs for a distribution without being aware that authors can do what they want in Makefile.PL or Build.PL and what it says in the two META files could very well not be what is required once Makefile.PL or Build.PL has been run, is potentially flawed.

This distribution hammers home this point by not specifying any prereqs at all in META.yml and META.json and autogenerates a list of prereqs when Makefile.PL is executed.

So what exactly are the prereqs of this module ?

The CPAN META specification CPAN::Meta::Spec states that dynamic_config "should be set to a true value if the distribution performs some dynamic configuration (asking questions, sensing the environment, etc.) as part of its configuration.". Almost all of the tools ( Module::Build is the exception ) do not provide a way to change this from the default which is 0.

AUTHOR ^

Chris Williams <chris@bingosnet.co.uk>

COPYRIGHT AND LICENSE ^

This software is copyright (c) 2011 by Chris Williams.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.

syntax highlighting: